Priority: Low

Assignee: Alessandro Pasotti

Category: GUI

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25980

Description

The attached screenshot shows (for both 2.18.16 and master) the titles of the main save as dialogs that you get when you right click on a

raster or vector layer and choose "Save as", and the titles of the file chooser dialogs that you get when you click the "..." or "Browse" button

in the main save as dialogs.

The new "Select layer as" wording for vector files is clearly a mistake.

But was the intention to leave it as "Save layer as..." and change the raster wording to also say "Save layer as..."?

Or was the intention to change the vector wording to "Select output file"?

I would suggest the former, but I haven't had a good look to see what is used in other dialogs, or if any of the UX manuals say anything

relevant.

Associated revisions

Revision a5246734 - 2018-02-14 07:36 PM - Alessandro Pasotti 

[bugfix] Homogenize the vector and raster dialog titles

Fixes #18084

History

#1 - 2018-02-14 07:30 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-02-14 07:30 PM - Alessandro Pasotti

I'd go for "Save Layer as ..."

#3 - 2018-02-14 07:37 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/6344

#4 - 2018-02-15 09:48 AM - Anonymous

- % Done changed from 0 to 100
https://github.com/qgis/QGIS/pull/6344


- Status changed from In Progress to Closed

Applied in changeset commit:qgis|a5246734f23119bad94bac1537e6fb4d16ec0430.

#5 - 2018-02-17 11:39 AM - Jürgen Fischer

another occurence fixed in commit:c3573b1636

#6 - 2018-02-21 05:54 PM - Giovanni Manghi

- Resolution set to fixed/implemented
